org.eclipse.jetty.servlet.api

## Interface FilterRegistration

All Known Subinterfaces:
  FilterRegistration.Dynamic

All Known Implementing Classes:
  FilterHolder.Registration

    public interface FilterRegistration

FilterRegistration Mimics the javax.servlet.FilterRegistration class to ease jetty-7/jetty-8 compatibility

### Nested Class Summary

Nested Classes
`static interface` `FilterRegistration.Dynamic`

### Method Summary

Methods
`void` `addMappingForServletNames(EnumSet<DispatcherType> dispatcherTypes, boolean isMatchAfter, String... servletNames)`
`void` `addMappingForUrlPatterns(EnumSet<DispatcherType> dispatcherTypes, boolean isMatchAfter, String... urlPatterns)`
`Collection<String>` `getServletNameMappings()`
`Collection<String>` `getUrlPatternMappings()`

### Method Detail

#### addMappingForServletNames

    void addMappingForServletNames(EnumSet<DispatcherType> dispatcherTypes,
                                 boolean isMatchAfter,
                                 String... servletNames)

#### getServletNameMappings

    Collection<String> getServletNameMappings()

#### addMappingForUrlPatterns

    void addMappingForUrlPatterns(EnumSet<DispatcherType> dispatcherTypes,
                                boolean isMatchAfter,
                                String... urlPatterns)

#### getUrlPatternMappings

    Collection<String> getUrlPatternMappings()